jdbm.helper

## Class ExplicitList.Link<V>

- java.lang.Object
- - jdbm.helper.ExplicitList.Link<V>

Enclosing class:
  ExplicitList<T>

    public static class ExplicitList.Link<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExplicitList.Link(V element)`

### Method Summary

Methods
`void` `addAfter(ExplicitList.Link<V> after)`
`void` `addBefore(ExplicitList.Link<V> before)`
`V` `getElement()`
`ExplicitList.Link<V>` `getNext()`
`ExplicitList.Link<V>` `getPrev()`
`boolean` `isLinked()`
`boolean` `isUnLinked()`
`void` `remove()`
`void` `reset()`
`void` `setNext(ExplicitList.Link<V> next)`
`void` `setPrev(ExplicitList.Link<V> prev)`
`void` `splice(ExplicitList.Link<V> listHead)` Splices the given list by making this link as the new head.
`String` `toString()`
`void` `uninit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExplicitList.Link

    public ExplicitList.Link(V element)

### Method Detail

#### getNext

    public ExplicitList.Link<V> getNext()

#### setNext

    public void setNext(ExplicitList.Link<V> next)

#### getPrev

    public ExplicitList.Link<V> getPrev()

#### setPrev

    public void setPrev(ExplicitList.Link<V> prev)

#### remove

    public void remove()

#### addAfter

    public void addAfter(ExplicitList.Link<V> after)

#### addBefore

    public void addBefore(ExplicitList.Link<V> before)

#### splice

    public void splice(ExplicitList.Link<V> listHead)

Splices the given list by making this link as the new head.

Parameters:
  `listHead` - head of the existing list

#### isUnLinked

    public boolean isUnLinked()

#### isLinked

    public boolean isLinked()

#### reset

    public void reset()

#### uninit

    public void uninit()

#### getElement

    public V getElement()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`